:root {
    --blanco: #ffffff;
    --oscuro: #212121;
    --primario: #62484B;
    --secundario: #715A5F;
    --claro: #B8AD97;
    --navegación: #A57967;
}

/* GLOBALES */
html {
    font-size: 62.5%;
    box-sizing: border-box;
}

*, *:before, *:after {
    box-sizing: inherit;
}

body {
    font-size: 16px; /* 1 rem = 10px */
    font-family: 'Noto Sans JP', sans-serif;
    background-image: linear-gradient(to top, #DFE9F3 0%, var(--blanco) 100%);
}

h1 {
    font-size: 3.8rem;
}

h2 {
    font-size: 2.8rem;
}

h3 {
    font-size: 1.8rem;
}

h1, h2, h3 {
    text-align: center;
}

.contenedor {
    max-width: 120rem;
    margin: 0 auto;    
}

.sombra {
    -webkit-box-shadow: 0px 5px 15px 0px rgba(107,107,107,1);
    -moz-box-shadow: 0px 5px 15px 0px rgba(107,107,107,1);
    box-shadow: 0px 5px 15px 0px rgba(107,107,107,1);
    background-color: var(--blanco);
    padding: 2rem;
    border-radius: 1.5rem;
}

.boton {
    background-color: var(--secundario);
    color: var(--blanco);
    padding: .8rem 3rem;
    margin-top: 1rem;
    font-size: 2rem;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: .8rem;
    border: none;
}

.alinear-boton {
    display: flex;
    justify-content: flex-end;
    width: auto;
}

.boton:hover {
    cursor: pointer;
}

/* BARRA DE NAVEGACIÓN */
.nav-bg {
    background-color: var(--secundario);
}

.navegacion-principal {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

@media (min-width: 550px) {
    .navegacion-principal {
        flex-direction: row;
    }
}

.navegacion-principal a {
    color: var(--blanco);
    text-decoration: none;
    font-size: 2rem;
    font-weight: 700;
    padding: 1rem;
}

.navegacion-principal a:hover {
    background-color: var(--navegación);
    color: var(--oscuro);
}

/* BANNER */
.portada {
    background-image: url(../img/boardgame.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 450px;
    position: relative;
    margin-bottom: 2rem;
}

.contenido-portada {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 60%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.contenido-portada h2, .contenido-portada p {
    color: var(--blanco);
}

/* SERVICIOS */
@media (min-width: 768px) {
    .servicios {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 3rem;
    }
}

.servicio {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.servicio h3 {
    color: var(--secundario);
}

.servicio .iconos {
    height: 15rem;
    width: 15rem;
    background-color: var(--claro);
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.servicio p {
    line-height: 2;
    text-align: center;
}

/* FORMULARIO */
.formulario {
    background-color: var(--claro);
    width: min(60rem, 100%);
    margin: 0 auto;
    padding: 2rem;
    border-radius: 1rem;
}

.formulario fieldset {
    border: none;
}

.formulario legend {
    text-align: center;
    font-size: 1.8rem;
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 2rem;
    color: var(--primario);
}

@media (min-width: 768px) {
    .contenedor-campos {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto auto 20rem;
        column-gap: 1.5rem;
    }

    .campo:nth-child(3), .campo:nth-child(4) {
        grid-column: 1 / 3;
    }
}

.campo {
    margin-bottom: 1rem;
}

.campo label {
    color: var(--oscuro);
    font-weight: bold;
    margin-bottom: .5rem;
    display: block;
}

.campo textarea {
    height: 17rem;
}

.input-campo {
    width: 100%;
    border: none;
    padding: 1.5rem;
    border-radius: .8rem;
}

/* FOOTER */
.footer {
    text-align: center;
}